# Uses of Interface
net.shibboleth.shared.security.IdentifierGenerationStrategy.ParameterSpec

Packages that use IdentifierGenerationStrategy.ParameterSpec
Package
Description
net.shibboleth.shared.security
Helpers for common security related tasks.
net.shibboleth.shared.security.impl
Implementations of security interfaces.

## Uses of IdentifierGenerationStrategy.ParameterSpec in net.shibboleth.shared.security

Classes in net.shibboleth.shared.security that implement IdentifierGenerationStrategy.ParameterSpec
Modifier and Type
Class
Description
`final record`
`RandomIdentifierParameterSpec`
Captures the supported parameters for the `IdentifierGenerationStrategy.ProviderType.RANDOM` and `IdentifierGenerationStrategy.ProviderType.SECURE` strategy types.
Methods in net.shibboleth.shared.security with parameters of type IdentifierGenerationStrategy.ParameterSpec
Modifier and Type
Method
Description
`static IdentifierGenerationStrategy`
IdentifierGenerationStrategy.`getInstance(IdentifierGenerationStrategy.ProviderType type, IdentifierGenerationStrategy.ParameterSpec params)`
Get an instance of a particular provider of identifiers with parameters.

## Uses of IdentifierGenerationStrategy.ParameterSpec in net.shibboleth.shared.security.impl

Constructors in net.shibboleth.shared.security.impl with parameters of type IdentifierGenerationStrategy.ParameterSpec
Modifier
Constructor
Description
``
`RandomIdentifierGenerationStrategy(IdentifierGenerationStrategy.ParameterSpec params)`
Constructor.
``
`SecureRandomIdentifierGenerationStrategy(IdentifierGenerationStrategy.ParameterSpec params)`
Constructor.
``
`Type4UUIDIdentifierGenerationStrategy(IdentifierGenerationStrategy.ParameterSpec params)`
Constructor.